<?php 
/********************************************************/
/* Projet : Botz'aris                                   */ 
/* Auteur : G. Pineau                                   */
/* Site   : http://www.pineaupi.perso.cegetel.net       */
/* Ce script a t cr gratuitement pour vous !        */
/* Vous pouvez l'utiliser, le modifier sans limitation. */
/********************************************************/
/* Fichier : botzarisUpload.php                         */
/* Page permettant d'ajouter des images  un album      */
/********************************************************/

require("botzarisLib.php");

connexion();

if(isset($_SESSION['util_login']) )
{
  $util_login = $_SESSION['util_login'];
  
  afficherHaut(TITRE);
}  
else
{
  deconnexion();
  header("Location:index.php");
  die();
}

$botzarisPath = str_replace("\\" ,"/",getcwd());
include ($botzarisPath."/lib_upload/upload_class.php"); //classes is the map where the class file is stored (one above the root)
//error_reporting(E_ALL);
$max_size = 1024*1024; // the max. size for uploading

class multi_files extends file_upload 
{
	
	var $number_of_files = 0;
	var $names_array;
	var $tmp_names_array;
	var $error_array;
	var $wrong_extensions = 0;
	var $bad_filenames = 0;
	
	function extra_text($msg_num) {
		switch ($this->language) {
			case "de":
			// add you translations here
			break;
			default:
			$extra_msg[1] = "Erreur pour: <b>".$this->the_file."</b>";
			$extra_msg[2] = "Vous avez essayez d'ajouter ".$this->wrong_extensions." fichier(s) avec une mauvaise extension, seules les extensions suivantes sont autorises : <b>".$this->ext_string."</b>";
			$extra_msg[3] = "Slectionnez au moins un fichier.";
			$extra_msg[4] = "Slectionnez le(s) fichier(s)  ajouter.";
			$extra_msg[5] = "Vous avez essayez d'ajouter <b>".$this->bad_filenames." fichier(s)</b> avec des noms possdant des caractres invalides.";
		}
		return $extra_msg[$msg_num];
	}
	// this method checkes the number of files for upload
	// this example works with one or more files
	function count_files() {
		foreach ($this->names_array as $test) {
			if ($test != "") {
				$this->number_of_files++;
			}
		}
		if ($this->number_of_files > 0) {
			return true;
		} else {
			return false;
		} 
	}
	function upload_multi_files () {
		$this->message = "";
		if ($this->count_files()) {
			foreach ($this->names_array as $key => $value) { 
			 
				if ($value != "") {
					$this->the_file = $value;
					$new_name = $this->set_file_name();
					if ($this->check_file_name($new_name)) {
						if ($this->validateExtension()) {
							$this->file_copy = $new_name;
							$this->the_temp_file = $this->tmp_names_array[$key];
							if (is_uploaded_file($this->the_temp_file)) {
								if ($this->move_upload($this->the_temp_file, $this->file_copy)) {
									$this->message[] = $this->error_text($this->error_array[$key]);
									if ($this->rename_file) $this->message[] = $this->error_text(16);
									sleep(1); // wait a seconds to get an new timestamp (if rename is set) 
								}
							} else {
								$this->message[] = $this->extra_text(1);
								$this->message[] = $this->error_text($this->error_array[$key]);
							}
						} else {
							$this->wrong_extensions++;
							$this->error_array[$key]='102';
						}
					} else {
						$this->bad_filenames++;
						$this->error_array[$key]='105';
					}
				} 
			}
			if ($this->bad_filenames > 0) $this->message[] = $this->extra_text(5);
			if ($this->wrong_extensions > 0) {
				$this->show_extensions();
				$this->message[] = $this->extra_text(2);
			}
		} else {
			$this->message[] = $this->extra_text(3);
		}
	}
}

$multi_upload = new multi_files;
$multi_upload->extensions = array(".png", ".jpg"); // specify the allowed extensions here
$multi_upload->message[] = $multi_upload->extra_text(4); // a different standard message for multiple files
$multi_upload->rename_file = false; // set to "true" if you want to rename all files with a timestamp value
$multi_upload->do_filename_check = "n"; // check filename ...

if(isset($_POST['destinationDirAff'])) 
{
  $destinationDirAff = $_POST['destinationDirAff'] ;
  $destinationDir = $_POST['destinationDir'] ; 
  $multi_upload->upload_dir = $botzarisPath.'/'.$destinationDir."/"; 
}
	
if(isset($_POST['Submit'])) 
{
  if(isset($_FILES['upload']))
  {
  	$multi_upload->tmp_names_array = $_FILES['upload']['tmp_name'];
  	$multi_upload->names_array = $_FILES['upload']['name'];
  	$multi_upload->error_array = $_FILES['upload']['error'];
  	$multi_upload->replace = "y";
  	$multi_upload->upload_multi_files();
  }
}

?>   

<body>
<h3><?php echo AJOUTDIMAGES . " ". $destinationDirAff; ?> </h3>
<div class="admin" > <a href="admin_contenu_album.php#<?php echo  $destinationDir; ?>">Retour</a></div>
<p><?php echo TAILLEMAXI . " " . $max_size/1024/1024 ?> Go.  </p>
<p><?php echo $multi_upload->show_error_string(); ?></p>
<form name="formAjoutImages"  enctype="multipart/form-data" method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
<input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $max_size; ?>">
<input type="hidden" name="destinationDirAff" value="<?php echo  $destinationDirAff; ?>">
<input type="hidden" name="destinationDir" value="<?php echo  $destinationDir; ?>">
  <div id="formAjoutImages" style="margin-bottom:20px">
    <input type="button" value="<?php echo AJOUTERUNEIMAGE; ?>" onclick="AjouterInputFile(document.getElementById('formAjoutImages'),'upload');">   
  </div> 
  <div style="margin-top:20px">  
    <input type="submit" name="Submit" value="<?php echo AJOUTERSURSERVEUR; ?>">
  </div> 
</form> 
</body>
</html>





