/********************************************************/
/*                     GAJAX                            */
/* Fichier : gajaxServ.php                              */
/* Page de redirection vers le service demand          */
/********************************************************/
 

/**
  * Appel au service dsir 
  * @param string nom du service 
  * @param string paramtres  du service
  * @param string identifiant(s) de(s) zone(s)  modifier 
  */
function callService(service,params,idDiv)
{ 
    var url="";
    var tabloDiv = params.split(";");
    
    /* deboggage */
    if(document.getElementById("gajax_debugVal"))
    {
      if(document.getElementById("gajax_debugVal").checked)
      {
         debug("<hr/> <div><b>service : <i>"+service+"</i></b></div> <div><b>params :</b> "+params+"</div> <div>  <div><b>idDiv :  </b>  "+idDiv+" </div>  ");
       }
    }

    /* Cration de l'url contenant les paramtres  passer au service */
    for(var i = 0; i < tabloDiv.length-1; i++)
    {
      url +=  "&" + tabloDiv[i]  ;
    }  
      
    sendData (
     'GET',
     'gajaxServ.php',       
     service,
     'xmlhttp=1&'+ 
     'service=' + service +  url,
     idDiv 
    ); 
} 

/**
  * Affiche les appels au serveur gajax dans une fentre 
  * @param string message 
  */
function  debug(msg)
{ 
   lafenetre = window.open("",null,"height=200,width=300,status=no,toolbar=no,menubar=no,location=no, scrollbars=yes, resizable=yes");
   lafenetre.document.writeln( msg );      
}


function getHTTPObject(service,idDiv)
{
  var xmlhttp = false;

  /* Compilation conditionnelle d'IE */
  /*@cc_on
  @if (@_jscript_version >= 5)
     try
     {
        xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
     }
     catch (e)
     {
        try
        {
           xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
        }
        catch (E)
        {
           xmlhttp = false;
        }
     }
  @else
     xmlhttp = false;
  @end @*/

  /* On essaie de crer l'objet si ce n'est pas dj fait */
  if (!xmlhttp && typeof XMLHttpRequest != 'undefined')
  {
     try
     {
        xmlhttp = new XMLHttpRequest();
     }
     catch (e)
     {
        xmlhttp = false;
     }
  }

  if (xmlhttp)
  {
     /* on dfinit ce qui doit se passer quand la page rpondra */
     xmlhttp.onreadystatechange=function()
     {
        if (xmlhttp.readyState == 4) /* 4 : tat "complete" */
        {
           if (xmlhttp.status == 200) /* 200 : code HTTP pour OK */
           {
              /*
              Traitement de la rponse.
              */
              traiterReponse(xmlhttp,service,idDiv);
           }
        }
     }
  }
  return xmlhttp;
} 

 /**
  * Envoie des donnes  l'aide d'XmlHttpRequest?
  * @param string methode d'envoi ['GET'|'POST']
  * @param string url
  * @param string nom du service  appeler
  * @param string donnes  envoyer sous la forme var1=value1&var2=value2...
  * @param string identifiant(s) de(s) zone(s)  modifier
  * @param boolean flag permettant de savoir s'il y  plusieurs div  modifier  
  */
 function sendData(method, url, service, data, idDiv)
 {
    var xmlhttp = getHTTPObject(service,idDiv);

    if (!xmlhttp)
    {
        return false;
    }

    if(method == "GET")
     {
     if(data == 'null')
     {
        xmlhttp.open("GET", url, true); //ouverture asynchrone
     }
     else
     {
        xmlhttp.open("GET", url+"?"+data, true);
     }
     
         xmlhttp.send(null) ;
         
     }
     else if(method == "POST")
     {
        xmlhttp.open("POST", url, true); //ouverture asynchrone
        xmlhttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
        xmlhttp.send(data);
     }
    return true;
}
 

/* Traite la rponse retourne par le serveur */
function traiterReponse(xmlhttp,service,idDiv)
{
  /* On rafraichit toute la page */
  if( idDiv == "refresh" )
  {
    location.reload(true);
    return; 
  }
  else
  {
    if( idDiv == "" )
    { 
      return; 
    }
  }
  
  /* On ne rafraichit qu'une partie de la page */
  if(xmlhttp.responseText != "REFRESH")
  { 
      var tabloDiv = idDiv.split(";");
      for(var i = 0; i < tabloDiv.length-1; i++)
      {
        document.getElementById(tabloDiv[i]).innerHTML = xmlhttp.responseText;
      }
  } 
  else /* Il faut rafraichir toute la page */
  {
    if(xmlhttp.responseText == "REFRESH")
    {
      location.reload(true);
    }
  }
}
  
