<?php
/********************************************************/
/* Projet : Botz'aris                                   */ 
/* Auteur : G. Pineau                                   */
/* Site   : http://www.pineaupi.perso.cegetel.net       */
/* Ce script a t cr gratuitement pour vous !        */
/* Vous pouvez l'utiliser, le modifier sans limitation. */
/********************************************************/
/* Fichier : botzarisDownLoad.php                       */
/* Gestion du tlchargement des photos.                */
/********************************************************/
  require("botzarisLib.php");
  
  connexion(); 
  
  if( ! isset($_SESSION['util_login']) )
  {
    deconnexion();
    header("Location:index.php");
    die();
  }
  
  // Tlchargement du zip
  if(!empty($_POST["dwnzip"])) 
  {
      include("lib_zip/zip.lib.php");
      $zipfile = new zipfile(); 
      $values = split(":",$_POST["dwnzip"]);
      $n = count($values); 
      if( $n > 0 )
      {
        $i = 0;
        while( $i < $n )
        {
          $value = $values[$i]; 
          if(file_exists($value))
            $zipfile->addFile( implode("",file($value)),basename($value)); 
          $i++;
        }  
        
        header("content-type: application/octet-stream");
        $noms = split("/",$_POST["nomAlbum"]);
        $nomSeul = $noms[1];
        header("Content-Disposition: attachment; filename=$nomSeul.zip");
        flush();
        print $zipfile -> file();
        die(); 
       }
  } 
  
  $albumAff = $_POST["libAlbum"] ;
  $nomAlbum = $_POST["nomAlbum"] ; 
  afficherHaut($albumAff); 
  // Insrer la librairie Php gajax  
  require "gajaxLib.php"; 
  
 
?> 

  <form id="zip" method="post" action="botzarisDownLoad.php">
    <fieldset>
      <input type="hidden" name="nomAlbum" value="<?php echo $nomAlbum; ?>" />
      <input type="hidden" name="libAlbum" value="<?php echo $albumAff; ?>" />
      <input type="hidden" id="dwnzip" name="dwnzip" value="" /> 
    </fieldset>
  </form>
  <div class='album'>  
    <a href="#" onclick="selectAll();"><?php echo TOUTSELECTIONNER; ?> - </a>
    <a href="#" onclick="unSelectAll();"><?php echo RIENSELECTIONNER; ?> - </a> 
    <a href="#" onclick="listerImages2DownLoad();document.getElementById('zip').action='botzarisPdf.php';document.getElementById('zip').submit();" ><?php echo TELECHARGER." PDF"; ?> - </a>
  
    <a href="#" onclick="listerImages2DownLoad();document.getElementById('zip').submit();" ><?php echo TELECHARGER." ZIP ( Beta )"; ?>   </a>
     [ <span id='nbImg'>0</span> photo(s) : <span id='tailleImg'>0</span>Ko ] 
   
  </div>
  <div id="listePhotos" class="album">  
  
<?php 
 

// Affichage de l'album
$rep = $nomAlbum;
$dir = opendir($rep);
$i = 0;
while($img = readdir($dir))
{
  if(is_file($rep."/".$img))
  { 
    $ext = substr($img,-3);
    if ( estImage($ext) )
    {
      $size = getimagesize($nomAlbum."/".$img); 
      $widthV =  $size[0];
      $heightV = $size[1];
      dimensionImg( $widthV,$heightV,LARGEURMAXV,HAUTEURMAXV);
      $name = substr($img,0,-4);  
      $comment = getTextFromFile($nomAlbum."/".$name.".TXT");
      $comAlt = decoderHTML($comment);
  
      echo "<table class='vignetteZip' id='table_".$i."'>  
             <tr><td><img  src=\"$nomAlbum/$img\" width=\"$widthV\" height=\"$heightV\" alt=\"$comAlt\" /></td></tr>
             <tr><td><input type='checkbox' id='box_$i' onclick='selectionner(\"box_".$i."\")'/><span id='box_".$i."_tay' style='display:inline' >". round(filesize($rep."/".$img) / 1024 , 2) ."</span>Ko<span style='display:none' id='box_".$i."_nom' >".$rep."/".$img."</span></td></tr>
            </table> "; 
      $i++; 
    }
  }  
}  
closedir($dir);
echo "</div>"; 
echo "\n</body>"; 
echo "\n</html>"; 


?>

 
