<?php
/********************************************************/
/* Projet : Botz'aris                                   */ 
/* Auteur : G. Pineau                                   */
/* Site   : http://www.pineaupi.perso.cegetel.net       */
/* Ce script a t cr gratuitement pour vous !        */
/* Vous pouvez l'utiliser, le modifier sans limitation. */
/********************************************************/
/* Fichier : botzarisPdf.php                            */
/* Gnre un fichier pdf contenant les photos choisies  */
/********************************************************/
  require('lib_fpdf/fpdf.php');
  require("botzarisLib.php");
  
  connexion(); 
  
  if( ! isset($_SESSION['util_login']) )
  {
    deconnexion();
    header("Location:index.php");
    die();
  }

  class PDF extends FPDF
  {
    
    //En-tte
    function Header()
    { 
    }
    
    //Pied de page
    function Footer()
    {	
    }
    
    function PDF($orientation='P',$unit='mm',$format='A4')
    {
    	//Appel au constructeur parent
    	$this->FPDF($orientation,$unit,$format);
    }
    
    
    /* Ajoute une image dans une page  */
    function genererPagePDF($fichier)
    { 
        $size = getimagesize($fichier);
        $width  = $size[0];
        $height = $size[1];
         
        if($width>$height)
        {
          $this->AddPage("l"); 
          if($width>$this->wPt)
          {  
               $height = $height * $this->wPt / $width ;
               $width = $this->wPt ; 
          }
        }
        else
        {
          $this->AddPage("p");  
          if($height > $this->hPt)
          {  
               $width = $width * $this->hPt / $height ;
               $height = $this->hPt ;      
          }
        }
        
        $x = ( $this->wPt - $width ) / 2 ;
        $y = ( $this->hPt - $height )  / 2 ; 
    
        $this->Image($fichier,$x,$y,$width,$height); 
    }
  
  }
/* DEBUT TRAITEMENT */
$pdf = new PDF( 'p','pt','A4');
$pdf->SetAuthor($_SESSION['util_login']);
$pdf->SetSubject($_POST["libAlbum"]);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(4); 
$pdf->SetTitle($_POST["libAlbum"]);

if(!empty($_POST["dwnzip"])) 
{  
  $values = split(":",$_POST["dwnzip"]);
  $n = count($values); 
  if( $n > 0 )
  {
    $i = 0;
    while( $i < $n )
    {
      $value = $values[$i]; 
      if(file_exists($value))
        $pdf->genererPagePDF($value);  
      $i++;
    }
  }
  else
  {
    $pdf->AddPage();
    $pdf->SetFont('Arial','I',14);
    $pdf->Cell(300,50,"Slectionner au moins une photo!",80,80,'L'); 
  }
}
else
{
  $pdf->AddPage();
  $pdf->SetFont('Arial','I',14); 
  $pdf->Cell(300,50,"Slectionner au moins une photo!",80,80,'L'); 
}
$pdf->Output();
  
?>
