<?php
/********************************************************/
/* Projet : Botz'aris                                   */ 
/* Auteur : G. Pineau                                   */
/* Site   : http://www.pineaupi.perso.cegetel.net       */
/* Ce script a t cr gratuitement pour vous !        */
/* Vous pouvez l'utiliser, le modifier sans limitation. */
/********************************************************/
/* Fichier : gajaxServ.php                              */
/* Page de redirection vers le service demand          */
/********************************************************/

  require("botzarisLib.php"); 
  require "gajaxLib.php";
  
  if(!isset($_GET['service']))
  {
    $service =  "";
  }
  else
  {  
    $service = $_GET['service']; 
  }
  
  /* Appel au service demand */

  switch ($service)
  { 
  
/****************************/
/*   ADMIN GESTION CONTENU  */
/****************************/

    case  'ajouterAlbum'  :
        /* Ajoute un album */
        if(isset($_GET['ajoutalb']) )
        {
          if(trim($_GET['ajoutalb'])!="")
          {
            $nom = strtr($_GET['ajoutalb'], '',
                                            'AAAAAACEEEEIIIIOOOOOUUUUYaaaaaaceeeeiiiioooooouuuuyy');
            $nom = preg_replace('/([^.a-z0-9]+)/i', '_', $nom);
 
            if(!file_exists($_GET['utlLogin']."/".$nom))
            {
               mkdir($_GET['utlLogin']."/".$nom,0777) ;
            } 
          }
        }
        break; 


    case  'modifierListeAlbum'  :
        /* Rafraichit la liste de albums dans le sommaire */
          $listAlbum = array();
          $listAlbum = listerTousLesAlbums($_GET['utlLogin'],$_GET['nomAlbum']);
          $sommaire = afficherSommaireDesAlbums($listAlbum);
          echo preg_replace('/[^\x00-\x7F]/e', '"&#".ord("$0").";"', $sommaire); 
        break;


    case  'modifierNomAlbum'  :
          /* Modification du nom de l'album */
            $new =   $_GET['newNomAlbum'] ;  
            saveTextToFic($new,$_GET['nomAlbum']."/nom.data");
            echo preg_replace('/[^\x00-\x7F]/e', '"&#".ord("$0").";"',$new ); 
        break; 

          
    case  'supprimerAlbum'  :
          /* Suppression physique de l'album  */
            nettoyerAlbum($_GET['nomAlbum'],"suppr"); 
          break;
    
    
    case  'supprimerPhotosAlbum'  :
          /* Suppression physique des photos de l'album  */
            $liste = str_replace(":",";",$_GET['listimagesuppr']);
            aurevoirPhotos($liste); 
            $str =  afficherImagesUnAlbum($_GET['indAlbum'],$_GET['nomAlbum']);
            echo preg_replace('/[^\x00-\x7F]/e', '"&#".ord("$0").";"', $str); 
          break; 
      
      
    case  'viderContenuAlbum'  :
          /* Suppression physique des photos de l'album  */
            nettoyerAlbum($_GET['nomAlbum'],"vider"); 
          break;


/****************************/ 
/*    ADMIN DROITS ALBUM    */
/****************************/      
    case  'ajoutAlbumsVisibles'  :
          /* Ajoute un album dans la liste des albums visibles */ 
          
            $ficAlbum =  DATADIR.'/'.ALBUMFIC ;  
            if (!$handle = fopen($ficAlbum, 'a')) 
            {
               echo ERROUVRFIC." $ficAlbum";
               exit;
            } 
            /* Ajout d'albums */ 
            $albums = split("::",$_GET['listeAlbums']);
            $n = count($albums);
            $i = 0;
            while($i<$n)
            {
              if($albums[$i]!="")
              {
                if (fwrite($handle, $albums[$i].";\n" ) === FALSE) 
                {
                   echo ERRECRFIC." $ficAlbum";
                   exit;
                }      
              }
              $i++;
            } 
            fclose($handle);

          break;
       
    case  'supprimerAlbumVisible'  :
          /* L'album n'est plus accessible  */  
          supprimerAlbum($_GET['album']);
          $sommaire = afficherAlbumsInacessibles($_GET['utl']);
          echo preg_replace('/[^\x00-\x7F]/e', '"&#".ord("$0").";"', $sommaire); 
          break;
      
      
    case  'supprimerZoneAlbum'  :
    
           
         break;
        
      
    case  'modifierSommaireAlbumsVisibles'  :
        /* Rafraichit la liste des albums dans le sommaire */ 
          $sommaire = afficherSommaireAlbumsVisibles($_GET['utl']);
          echo preg_replace('/[^\x00-\x7F]/e', '"&#".ord("$0").";"', $sommaire); 
        break;
        
              
    case  'modifierDroitsAlbum'  :
        /* R-initialise les droits des utilisateurs sur album */ 
          $i = 0;
          $utldroit = split(":",$_GET['listutldroit']); 
           
          while( $utldroit[$i] != "" )
          {
            $utl = $utldroit[$i++];
            $droit = $utldroit[$i++];
            $utl = new Utilisateur($utl,0,"","","");
            $utl->modifierDroit(trim($_GET['album']),$droit,"");
            $utl->sauv2fic();
          }  
   
          $retour =  afficherDroitsUnAlbum($_GET['ind'],$_GET['listutldroit']); 
          echo preg_replace('/[^\x00-\x7F]/e', '"&#".ord("$0").";"', $retour); 
           
        break;
        
/****************************/          
/* ADMIN DROITS UTILISATEUR */
/****************************/  
     
    case  'ajouterUtilisateur'  :
          /* Ajout d'un utilisateur */ 
  
          $utl = trim($_GET['newUtl']);
          $mdp = trim($_GET['mdpUtl']); 
          if(trim($utl)!="" )
          {
            if (!$handle = fopen(DATADIR.'/'.$utl.".utl", 'w')) 
            {
              echo AJOUTIMP.$utl;
              break;
            } 
            
            $utlO =  new Utilisateur($utl,2,"","","");
            $utlO->mdp = $mdp;
            $utlO->sauv2fic(); 
            
            fclose($handle);       
          }  
          
          break;
      
      
    case  'supprimerUtilisateur'  :
          /* Suppression de l'utilisateur */ 
            unlink(DATADIR.'/'.trim($_GET['loginUtl']).DATAEXT) ; 
          break;
      
      
    case  'modifierListeUtl'  :
        /* Rafraichit la liste des utilisateurs dans le sommaire */ 
          $sommaire = afficherSommaireDesUtl(); 
          echo preg_replace('/[^\x00-\x7F]/e', '"&#".ord("$0").";"', $sommaire); 
        break;
      
      
    case  'renommerUtilisateur'  :
          /* Modifie le login d'un utilisateur */ 
            rename(DATADIR."/".trim($_GET['nomUtl']).DATAEXT,DATADIR."/".trim($_GET['newNomUtl']).DATAEXT); 
            echo  $_GET['newNomUtl'];
            if(is_dir(trim($_GET['nomUtl'])))
            {
              rename(trim($_GET['nomUtl']),trim($_GET['newNomUtl']));
            }
          break;
      
      
    case  'refreshBtRenommerUtl'  :
          /* Met  jour l'appel au service 'renommerUtilisateur'  */
          setBtRenommerUtl(trim($_GET['nomUtl']),trim($_GET['oldUtl']),trim($_GET['oldIdUtl']));
          
          break;
      
      
    case  'modifierDroitsUtl' :

          $utl = trim($_GET['loginUtl']);
          $numUtl = trim($_GET['numUtl']);
          $mdp = trim($_GET['mdpUtl']);  
          $admin = trim($_GET['adminUtl']);
          
          $listeAdmin = str_replace(":",";",$_GET['listeAdmin']);
          $listeVisit = str_replace(":",";",$_GET['listeVisit']);
          $listeExclus = str_replace(":",";",$_GET['listeExclus']); 
          
          $utlO =  new Utilisateur($utl,1,$listeAdmin,$listeVisit,$listeExclus);
          $utlO->mdp = $mdp;
          $utlO->sauv2fic();
          $droitsUtl = $utlO->afficherDroitsAlbums($numUtl,$adminUtl); 
          echo preg_replace('/[^\x00-\x7F]/e', '"&#".ord("$0").";"', $droitsUtl); 
        
          break;

    case  'viderEspaceUtl' :
    case  'supprimerEspaceUtl' :

            if ( $service ==  'viderEspaceUtl' )
            {
              $action = "vider";
            }
            else
            {
              $action = "suppr";
            }

            $dir = trim($_GET['repertoire']);
            $ind = trim($_GET['ind']);
            
            $dirp = opendir($dir);
            while(false !== ($album = readdir($dirp)))
            {
              if(is_dir($dir."/".$album) && $album!="." && $album!="..")
              {
                nettoyerAlbum($dir."/".$album,$action);
              }
            }
            
            closedir($dirp);
            
            if( $service == 'supprimerEspaceUtl' )
            {    
              rmdir($dir);
            } 
            
            $zone =  afficherZoneBtAjout($ind,$dir); 
            echo preg_replace('/[^\x00-\x7F]/e', '"&#".ord("$0").";"', $zone); 
                      
          break;
          
    case  'ajouterEspaceUtl' :
          $rep =trim($_GET['repertoire']);
          mkdir($rep,0777);  
          $ind = trim($_GET['ind']); 
          $zone =  afficherZoneBtAjout($ind,$rep); 
          echo preg_replace('/[^\x00-\x7F]/e', '"&#".ord("$0").";"', $zone);
            
          break;
    
    default :
    
      echo "REFRESH";
  } 
?> 
 
 
