<?php 
/********************************************************/
/* Projet : Botz'aris                                   */ 
/* Auteur : G. Pineau                                   */
/* Site   : http://www.pineaupi.perso.cegetel.net       */
/* Ce script a t cr gratuitement pour vous !        */
/* Vous pouvez l'utiliser, le modifier sans limitation. */
/********************************************************/
/* Fichier : galerie.php                                 */
/* Page listant les albums visibles de l'utilisateur    */
/********************************************************/

  require("botzarisLib.php");
  
  connexion();
  
  if(isset($_SESSION['util_login'],$_SESSION['util_list_admin'],$_SESSION['util_list_visit']) )
  {
    $util_login = $_SESSION['util_login'];
    $util_list_admin = $_SESSION['util_list_admin'];
    $util_list_visit = $_SESSION['util_list_visit'];
    
    afficherHaut(TITRE);
    
    $util = new Utilisateur($_SESSION['util_login'],1,$_SESSION['util_list_admin'],$_SESSION['util_list_visit'],$_SESSION['util_list_exclus']);
    
    /* Modification des mots de passe de l'utilisateur s'il l'a choisi */   
    if ( isset($_POST['oldmdp']) )
    {
      if($_POST['oldmdp']==$util->mdp && $_POST['newmdp1'] == $_POST['newmdp2'] )
      {
        $modifMdp = MODIFMDPOK;     
        $util->mdp = $_POST['newmdp2'];
        $util->sauv2fic(); 
      }
      else
      {
        $modifMdp = MODIFMDPKO;  
      }
    }
  }
  else
  {
    deconnexion();
    header("Location:index.php");
    die();
  }

?>
<div class="accueil"><?php echo "$util->login : ".ACCUEIL; if(isset($modifMdp)){ echo $modifMdp ;} ?></div>

<form class="admin" id="quitter" method="post" action="index.php"  >
  <fieldset>
    <input type="hidden" name="util_login" value="<?php  echo $util_login ?>"/>
    <input type="hidden" name="util_list_admin" value="<?php  echo $util_list_admin ; ?>"/>
    <input type="hidden" name="util_list_visit" value="<?php  echo $util_list_visit ; ?>"/> 
  <?php
    if($util->login != VISITEURLOGIN)
    {
      echo " <input type='button' id='modifutlbt' value='".MODIFPARAMS."' onclick=\"document.getElementById('modifUtl').style.display='block'; 
                                                                                    this.style.display='none'
                                                                                    document.getElementById('listeAlbums').style.display='none';
                                                                                    \"/>";
    }
    
    if ($util->possedeAlbum())
    {
      echo  " <input type='button' value='".GERERMESALBUMS."' onclick=\"document.getElementById('quitter').action='admin.php';document.getElementById('quitter').submit(); \" /> ";
    }
 
  ?>
  
  <input type='submit' value='<?php echo QUITTER; ?>' />
  </fieldset>
</form>
<div>
  <br />
  <br />
</div>
<form id="modifUtl" class="form" style="display:none"  method="post" action="galerie.php">
  <fieldset>
    <input type="hidden" name="util_login" value="<?php  echo $util_login ?>"/>
    <input type="hidden" name="util_list_admin" value="<?php  echo $util_list_admin ; ?>"/>
    <input type="hidden" name="util_list_visit" value="<?php  echo $util_list_visit ; ?>"/> 
    <table>
      <tr>
        <td><?php echo OLDMDP ?></td>
        <td><input type='password' name='oldmdp' value='' size='20' /></td>
      </tr>
      <tr>
        <td><?php echo NOUVEAUMDP ?></td>
        <td><input type='password' name='newmdp1' value='' size='20' /></td>
      </tr>
      <tr>
        <td><?php echo CONFIRM ?></td>
        <td><input type='password' name='newmdp2' value='' size='20' /></td>
      </tr>
      <tr>  
        <td><input type='reset' value='Annuler' onclick="document.getElementById('modifutlbt').style.display='inline';
                                                         document.getElementById('modifUtl').style.display='none';
                                                         document.getElementById('listeAlbums').style.display='block';
                                                        " /></td>
        <td><input type='submit' value='<?php echo MODIFIER ?>' /></td> 
      </tr>
    </table>
  </fieldset>
</form>
 
<form id="albumNavig" method="post" action="album.php" style="display:none" >
  <fieldset>
    <input type="hidden" name="nomAlbum" value="" />
    <input type="hidden" name="indDernImg" value="0" />
    <input type="hidden" name="nbImgTot" value="-1" />
    <input type="hidden" name="admin" value="0" />
  </fieldset>
</form>

<!--- Formulaire pour la modification des commentaires !-->
<form id="comm" method="post" action="com.php" style="display:none">
  <fieldset>
    <input type="hidden" name="nomAlbum" value="" />
    <input type="hidden" name="indDernImg" value="0" />
    <input type="hidden" name="nbImgTot" value="-1" />
    <input type="hidden" name="image" value="" />
    <input type="hidden" name="zeAction" value="" />
    <input type="hidden" name="retour" value="galerie.php" />
    <input type="hidden" name="admin" value="0" />
  </fieldset>
</form>
    <div id="listeAlbums">
<?php

  /* Afichage des albums avec droits d'administrateur */
  afficherAlbums($util->listAdmin,1);
  
  /* Afichage des albums avec droits de visiteur  */
  afficherAlbums($util->listVisit,0);
 
?>
    </div>
</body> 
</html>
